Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: atrpms: devel

New mpd available

 

 

atrpms devel RSS feed   Index | Next | Previous | View Threaded


promac at gmail

Jun 4, 2010, 4:27 AM

Post #1 of 15 (2539 views)
Permalink
New mpd available

There is a new mpd version available:

http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.10-13.fc12.src.rpm

Now with Music Player Minion as an official mozilla plugin,
it is really nice and easy to access MPD:

https://addons.mozilla.org/en-US/firefox/addon/6324/

Please, also remember to build audacious-plugins so we
can download it.

Thanks.

--
Paulo Roma Cavalcanti
LCG - UFRJ


Axel.Thimm at ATrpms

Jun 11, 2010, 7:47 AM

Post #2 of 15 (2497 views)
Permalink
Re: New mpd available [In reply to]

Hi,

On Fri, Jun 04, 2010 at 08:27:23AM -0300, Paulo Cavalcanti wrote:
> There is a new mpd version available:
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.10-13.fc12.src.rpm
>
> Now with Music Player Minion as an official mozilla plugin,
> it is really nice and easy to access MPD:
>
> https://addons.mozilla.org/en-US/firefox/addon/6324/
>
> Please, also remember to build audacious-plugins so we
> can download it.

Thanks, should all be in place!
--
Axel.Thimm at ATrpms.net


promac at gmail

Aug 1, 2010, 5:00 AM

Post #3 of 15 (2411 views)
Permalink
Re: New mpd available [In reply to]

On Sun, Aug 1, 2010 at 7:59 AM, Paulo Cavalcanti <promac [at] gmail> wrote:

>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.12-14.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.15.12-14.fc12.src.rpm>
>
>

Axel, can you hold this one for a while?

It seems to have a problem with synchronization, at least on my system.

I will do more tests, before it goes to stable.

Thanks.

--
Paulo Roma Cavalcanti
LCG - UFRJ


promac at gmail

Aug 1, 2010, 8:44 AM

Post #4 of 15 (2396 views)
Permalink
Re: New mpd available [In reply to]

On Sun, Aug 1, 2010 at 9:00 AM, Paulo Cavalcanti <promac [at] gmail> wrote:

>
>
> On Sun, Aug 1, 2010 at 7:59 AM, Paulo Cavalcanti <promac [at] gmail> wrote:
>
>>
>> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.12-14.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.15.12-14.fc12.src.rpm>
>>
>>
>
> Axel, can you hold this one for a while?
>
> It seems to have a problem with synchronization, at least on my system.
>
> I will do more tests, before it goes to stable.
>
>

I made some more tests and everything seems to be fine.

Therefore, we can update the package now.

Thanks.


--
Paulo Roma Cavalcanti
LCG - UFRJ


Axel.Thimm at ATrpms

Aug 1, 2010, 2:48 PM

Post #5 of 15 (2411 views)
Permalink
Re: New mpd available [In reply to]

On Sun, 2010-08-01 at 12:44 -0300, Paulo Cavalcanti wrote:
> I made some more tests and everything seems to be fine.
>
> Therefore, we can update the package now.

OK, it's up. Thanks!

--
http://ATrpms.net/
Attachments: signature.asc (0.19 KB)


promac at gmail

Nov 1, 2010, 2:21 AM

Post #6 of 15 (2225 views)
Permalink
Re: New mpd available [In reply to]

Hi, Axel

a new mpd version is available here:

http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm

Also, could you give a try to this new version of python-mtTkinter?
I have just changed the python location test, and it should work now (I
guess):

http://people.atrpms.net/~pcavalcanti/srpms/python-mtTkinter-0.3-2.fc12.src.rpm

Thanks.

--
Paulo Roma Cavalcanti
LCG - UFRJ


promac at gmail

Nov 15, 2010, 2:46 AM

Post #7 of 15 (2174 views)
Permalink
Re: New mpd available [In reply to]

On Mon, Nov 1, 2010 at 7:21 AM, Paulo Cavalcanti <promac [at] gmail> wrote:

> Hi, Axel
>
> a new mpd version is available here:
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm>
>
> Also, could you give a try to this new version of python-mtTkinter?
> I have just changed the python location test, and it should work now (I
> guess):
>
>
> http://people.atrpms.net/~pcavalcanti/srpms/python-mtTkinter-0.3-2.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/python-mtTkinter-0.3-2.fc12.src.rpm>
>
>
>

I found the problem with python-mtTkinter.

It is a missing BR asking for python.

It should not install on / anymore.

Same link ...

And there is a new mpd version:

http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.14-15.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm>

Thanks.


--
Paulo Roma Cavalcanti
LCG - UFRJ


promac at gmail

Nov 15, 2010, 2:48 AM

Post #8 of 15 (2175 views)
Permalink
Re: New mpd available [In reply to]

On Mon, Nov 15, 2010 at 8:46 AM, Paulo Cavalcanti <promac [at] gmail> wrote:

>
>
> On Mon, Nov 1, 2010 at 7:21 AM, Paulo Cavalcanti <promac [at] gmail> wrote:
>
>> Hi, Axel
>>
>> a new mpd version is available here:
>>
>> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm>
>>
>> Also, could you give a try to this new version of python-mtTkinter?
>> I have just changed the python location test, and it should work now (I
>> guess):
>>
>>
>> http://people.atrpms.net/~pcavalcanti/srpms/python-mtTkinter-0.3-2.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/python-mtTkinter-0.3-2.fc12.src.rpm>
>>
>>
>>
>
> I found the problem with python-mtTkinter.
>
> It is a missing BR asking for python.
>
> It should not install on / anymore.
>
> Same link ...
>
> And there is a new mpd version:
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.14-15.fc12.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm>
>
>
> Thanks.
>
>
>
The correct link is:

http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.14-15.fc12.src.rpm


--
Paulo Roma Cavalcanti
LCG - UFRJ


Axel.Thimm at ATrpms

Nov 18, 2010, 2:15 PM

Post #9 of 15 (2166 views)
Permalink
Re: New mpd available [In reply to]

On Mon, 2010-11-15 at 08:48 -0200, Paulo Cavalcanti wrote:

> On Mon, Nov 15, 2010 at 8:46 AM, Paulo Cavalcanti <promac [at] gmail>
> wrote:

> On Mon, Nov 1, 2010 at 7:21 AM, Paulo Cavalcanti
> <promac [at] gmail> wrote:

> a new mpd version is available here:
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.13-15.fc12.src.rpm
>
> Also, could you give a try to this new version of
> python-mtTkinter?
> I have just changed the python location test, and it
> should work now (I guess):
>
> http://people.atrpms.net/~pcavalcanti/srpms/python-mtTkinter-0.3-2.fc12.src.rpm

> I found the problem with python-mtTkinter.
>
> It is a missing BR asking for python.
>
>
> It should not install on / anymore.
>
> Same link ...
>
> And there is a new mpd version:
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.14-15.fc12.src.rpm

> Thanks.

>
> The correct link is:
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.15.14-15.fc12.src.rpm

Everything should be built and online by now. Thanks!

--
http://thimm.gr/ - http://ATrpms.net/
Attachments: signature.asc (0.19 KB)


promac at gmail

Jan 23, 2011, 2:39 AM

Post #10 of 15 (2017 views)
Permalink
Re: New mpd available [In reply to]

On Sun, Jan 23, 2011 at 8:24 AM, Paulo Cavalcanti <promac [at] gmail> wrote:

>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.16.1-17.fc14.src.rpm<http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.16.1-17.fc14.src.rpm>
>
> This is a new version, and I also removed
> paprefs as a requirement, since it does no exist (not even compile) on
> RHLE6.
>
> Thanks.
>
>
>

You will need:

http://people.atrpms.net/~pcavalcanti/srpms/zziplib-0.13.49-8.el6.src.rpm



--
Paulo Roma Cavalcanti
LCG - UFRJ


Axel.Thimm at ATrpms

Jan 27, 2011, 11:41 AM

Post #11 of 15 (1996 views)
Permalink
Re: New mpd available [In reply to]

On Sun, 2011-01-23 at 08:39 -0200, Paulo Cavalcanti wrote:
> On Sun, Jan 23, 2011 at 8:24 AM, Paulo Cavalcanti <promac [at] gmail>
> wrote:
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.16.1-17.fc14.src.rpm
>
> This is a new version, and I also removed
> paprefs as a requirement, since it does no exist (not even
> compile) on RHLE6.

Thanks!
--
http://thimm.gr/ - http://ATrpms.net/
Attachments: signature.asc (0.19 KB)


kim+j2 at alleroedderne

Jul 23, 2013, 4:51 AM

Post #12 of 15 (1360 views)
Permalink
Re: New mpd available [In reply to]

Hi Paulo,

Could I persuade you to create the directory with the socket file in the package? This prevents the package to work on distributions with
systemd.

The spec-file-fu is something like the following:
file mpd.tpmfilesd with this line:
d /var/run/mpd 0755 mpd audio -

Source10: mpd.tmpfilesd

%if %{with systemd}
#install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_tmpfilesdir}/mpd.conf
install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/tmpfiles.d/mpd.conf
%endif

Regards,
Kim


On 2013-07-10 14:30, Paulo Cavalcanti wrote:
> Hi, Axel
>
> I have two versions. One for Fedora, which uses mpd.service,
> and another for rhel6 with /etc/rc.d/init.d/mpd.
>
> The fedora version is the same we had before, but the rhel6 will allow
> an upgrade from the previous 0.16.7 we have at ATrpms.
>
> Thanks.
>
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-25.el6.src.rpm
> <http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.17.4-25.el6.src.rpm>
>
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-27.fc17.src.rpm
> <http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.17.4-27.fc17.src.rpm>
>
>
>
> --
> Paulo Roma Cavalcanti
> LCG - UFRJ
>
>
> _______________________________________________
> atrpms-devel mailing list
> atrpms-devel [at] atrpms
> http://lists.atrpms.net/mailman/listinfo/atrpms-devel


promac at gmail

Jul 25, 2013, 3:25 AM

Post #13 of 15 (1360 views)
Permalink
Re: New mpd available [In reply to]

Hi,

the version for F17 uses systemd, ant the other for rhel6, does not.

What version do you mean?




On Tue, Jul 23, 2013 at 8:51 AM, Kim Bisgaard
<kim+j2 [at] alleroedderne>wrote:

> Hi Paulo,
>
> Could I persuade you to create the directory with the socket file in the
> package? This prevents the package to work on distributions with systemd.
>
> The spec-file-fu is something like the following:
> file mpd.tpmfilesd with this line:
> d /var/run/mpd 0755 mpd audio -
>
> Source10: mpd.tmpfilesd
>
> %if %{with systemd}
> #install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_tmpfilesdir}/mpd.conf
> install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/tmpfiles.d/mpd.conf
> %endif
>
> Regards,
> Kim
>
>
>
> On 2013-07-10 14:30, Paulo Cavalcanti wrote:
>
> Hi, Axel
>
> I have two versions. One for Fedora, which uses mpd.service,
> and another for rhel6 with /etc/rc.d/init.d/mpd.
>
> The fedora version is the same we had before, but the rhel6 will allow
> an upgrade from the previous 0.16.7 we have at ATrpms.
>
> Thanks.
>
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-25.el6.src.rpm
>
>
> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-27.fc17.src.rpm
>
>
>
> --
> Paulo Roma Cavalcanti
> LCG - UFRJ
>
>
> _______________________________________________
> atrpms-devel mailing listatrpms-devel [at] atrpmshttp://lists.atrpms.net/mailman/listinfo/atrpms-devel
>
>
>
> _______________________________________________
> atrpms-devel mailing list
> atrpms-devel [at] atrpms
> http://lists.atrpms.net/mailman/listinfo/atrpms-devel
>



--
Paulo Roma Cavalcanti
DCC - UFRJ


kim+j2 at alleroedderne

Jul 25, 2013, 4:14 AM

Post #14 of 15 (1359 views)
Permalink
Re: New mpd available [In reply to]

Hi Paulo,

I have tried to use it on F19. THANKS!!

I could not get it to start. It threw a very misleading error - "Failed to bind to 'localhost': No such file or directory", but the real
reason was that the directory "/var/run/mpd" was not created.

This in it self has nothing to do with systemd as such, just because Fedora introduced the empty /var at the same time (tmpfs mounted /var) .

Hope this clears it up?

Regards,
Kim

On 2013-07-25 12:25, Paulo Cavalcanti wrote:
> Hi,
>
> the version for F17 uses systemd, ant the other for rhel6, does not.
>
> What version do you mean?
>
>
>
>
> On Tue, Jul 23, 2013 at 8:51 AM, Kim Bisgaard <kim+j2 [at] alleroedderne <mailto:kim+j2 [at] alleroedderne>> wrote:
>
> Hi Paulo,
>
> Could I persuade you to create the directory with the socket file in the package? This prevents the package to work on distributions
> with systemd.
>
> The spec-file-fu is something like the following:
> file mpd.tpmfilesd with this line:
> d /var/run/mpd 0755 mpd audio -
>
> Source10: mpd.tmpfilesd
>
> %if %{with systemd}
> #install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_tmpfilesdir}/mpd.conf
> install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/tmpfiles.d/mpd.conf
> %endif
>
> Regards,
> Kim
>
>
>
> On 2013-07-10 14:30, Paulo Cavalcanti wrote:
>> Hi, Axel
>>
>> I have two versions. One for Fedora, which uses mpd.service,
>> and another for rhel6 with /etc/rc.d/init.d/mpd.
>>
>> The fedora version is the same we had before, but the rhel6 will allow
>> an upgrade from the previous 0.16.7 we have at ATrpms.
>>
>> Thanks.
>>
>>
>> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-25.el6.src.rpm
>> <http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.17.4-25.el6.src.rpm>
>>
>>
>> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-27.fc17.src.rpm
>> <http://people.atrpms.net/%7Epcavalcanti/srpms/mpd-0.17.4-27.fc17.src.rpm>
>>
>>
>>
>> --
>> Paulo Roma Cavalcanti
>> LCG - UFRJ
>>
>>
>> _______________________________________________
>> atrpms-devel mailing list
>> atrpms-devel [at] atrpms <mailto:atrpms-devel [at] atrpms>
>> http://lists.atrpms.net/mailman/listinfo/atrpms-devel
>
>
> _______________________________________________
> atrpms-devel mailing list
> atrpms-devel [at] atrpms <mailto:atrpms-devel [at] atrpms>
> http://lists.atrpms.net/mailman/listinfo/atrpms-devel
>
>
>
>
> --
> Paulo Roma Cavalcanti
> DCC - UFRJ
>
>
> _______________________________________________
> atrpms-devel mailing list
> atrpms-devel [at] atrpms
> http://lists.atrpms.net/mailman/listinfo/atrpms-devel


promac at gmail

Jul 25, 2013, 7:01 AM

Post #15 of 15 (1359 views)
Permalink
Re: New mpd available [In reply to]

mpd has a directory where, among other things, its database and pid are
stored.

If mpd is run system wide as root, this is /var/lib/mpd, as you should set
in
/etc/mpd.conf:

cascavel:~] ls -al /var/lib/mpd
total 12604
drwxr-xr-x. 5 mpd mpd 4096 Jul 18 07:12 .
drwxrwxr-x. 78 root procgrafico 4096 Jul 14 22:37 ..
-rw-r--r--. 1 mpd mpd 3350971 Jul 20 17:37 database
-rw-------. 1 mpd mpd 16 Jul 5 2012 .esd_auth
-rw-r--r--. 1 root root 9508991 Jul 24 18:20 log
drwxr-xr-x. 2 mpd mpd 4096 Jul 10 09:08 music
-rw-r--r--. 1 mpd mpd 5 Jul 18 07:12 pid
drwxr-xr-x. 2 mpd mpd 4096 Jul 10 09:08 playlists
drwx------. 2 mpd mpd 4096 Feb 9 00:09 .pulse
-rw-------. 1 mpd mpd 256 Jul 5 2012 .pulse-cookie
-rw-r--r--. 1 mpd mpd 3258 Jul 20 17:42 state


If mpd is run for a single user this is generally ~/.mpd:

[cascavel:~] ls -al ~/.mpd
total 8260
drwxrwxr-x. 4 roma roma 4096 Mar 11 08:45 .
drwxr-xr-x. 115 roma roma 12288 Jul 24 17:10 ..
drwxrwxr-x. 2 roma roma 4096 Sep 2 2012 .AppleDouble
-rw-rw-r--. 1 roma roma 3313663 Mar 7 09:00 database
-rw-rw-r--. 1 roma roma 5093395 Mar 11 17:30 log
-rw-r--r--. 1 roma roma 13727 Jul 7 2012 mpd.conf
-rw-rw-r--. 1 roma roma 5 Mar 11 08:45 pid
drwxrwxr-x. 2 roma roma 4096 Oct 14 2012 playlists
-rw-rw-r--. 1 roma roma 3917 Mar 7 09:32 state

Therefore, there has never been a /var/run/mpd. To use the system wide
approach with selinux active, the files must be labelled "audio_home_t".

Nonetheless, you have to edit /etc/mpd.conf and set your choices,
removing the pounds (#) at least until:

#state_file "/var/lib/mpd/state"

Otherwise, I doubt mpd will work...



On Thu, Jul 25, 2013 at 8:14 AM, Kim Bisgaard
<kim+j2 [at] alleroedderne>wrote:

> Hi Paulo,
>
> I have tried to use it on F19. THANKS!!
>
> I could not get it to start. It threw a very misleading error - "Failed to
> bind to 'localhost': No such file or directory", but the real reason was
> that the directory "/var/run/mpd" was not created.
>
> This in it self has nothing to do with systemd as such, just because
> Fedora introduced the empty /var at the same time (tmpfs mounted /var) .
>
> Hope this clears it up?
>
> Regards,
> Kim
>
>
> On 2013-07-25 12:25, Paulo Cavalcanti wrote:
>
> Hi,
>
> the version for F17 uses systemd, ant the other for rhel6, does not.
>
> What version do you mean?
>
>
>
>
> On Tue, Jul 23, 2013 at 8:51 AM, Kim Bisgaard <
> kim+j2 [at] alleroedderne> wrote:
>
>> Hi Paulo,
>>
>> Could I persuade you to create the directory with the socket file in the
>> package? This prevents the package to work on distributions with systemd.
>>
>> The spec-file-fu is something like the following:
>> file mpd.tpmfilesd with this line:
>> d /var/run/mpd 0755 mpd audio -
>>
>> Source10: mpd.tmpfilesd
>>
>> %if %{with systemd}
>> #install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_tmpfilesdir}/mpd.conf
>> install -p -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/tmpfiles.d/mpd.conf
>> %endif
>>
>> Regards,
>> Kim
>>
>>
>>
>> On 2013-07-10 14:30, Paulo Cavalcanti wrote:
>>
>> Hi, Axel
>>
>> I have two versions. One for Fedora, which uses mpd.service,
>> and another for rhel6 with /etc/rc.d/init.d/mpd.
>>
>> The fedora version is the same we had before, but the rhel6 will allow
>> an upgrade from the previous 0.16.7 we have at ATrpms.
>>
>> Thanks.
>>
>>
>> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-25.el6.src.rpm
>>
>>
>> http://people.atrpms.net/~pcavalcanti/srpms/mpd-0.17.4-27.fc17.src.rpm
>>
>>
>>
>> --
>> Paulo Roma Cavalcanti
>> LCG - UFRJ
>>
>>
>> _______________________________________________
>> atrpms-devel mailing listatrpms-devel [at] atrpmshttp://lists.atrpms.net/mailman/listinfo/atrpms-devel
>>
>>
>>
>> _______________________________________________
>> atrpms-devel mailing list
>> atrpms-devel [at] atrpms
>> http://lists.atrpms.net/mailman/listinfo/atrpms-devel
>>
>
>
>
> --
> Paulo Roma Cavalcanti
> DCC - UFRJ
>
>
> _______________________________________________
> atrpms-devel mailing listatrpms-devel [at] atrpmshttp://lists.atrpms.net/mailman/listinfo/atrpms-devel
>
>
>
> _______________________________________________
> atrpms-devel mailing list
> atrpms-devel [at] atrpms
> http://lists.atrpms.net/mailman/listinfo/atrpms-devel
>



--
Paulo Roma Cavalcanti
DCC - UFRJ

atrpms devel RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.